Page MenuHomePhabricator

Hook into AbuseFilter to provide better filter text and custom variables
Closed, ResolvedPublic

Description

When bug 42064 is resolved, AbuseFilter will handle non-text content using Content::getTextForSearchIndex() to get the text used for filtering. Wikibase should provide a better text for filtering, including all relevant values from the entity structure. AbuseFilter will be providing the necessary hooks once bug 43635 is resolved.


Version: unspecified
Severity: major

Details

Reference
bz43775

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 1:30 AM
bzimport set Reference to bz43775.
bzimport added a subscriber: Unknown Object (MLST).
daniel created this task.Jan 9 2013, 11:18 AM

upping prio, since without this, e.g. descriptions are ignored by the abusefilter

wikidata-bugs wrote:

Change I649fb2e0: (bug 43775) Provide text for filtering to AbuseFilter.

As of Change I649fb2e0: (bug 43775) "Provide text for filtering to AbuseFilter", warnings are escalated into blocking actions.

As of Change I649fb2e0: (bug 43775) "Provide text for filtering to
AbuseFilter", the common abuse filter for detecting several exclamation marks (http://no.wikipedia.org/wiki/Spesial:Misbruksfilter/3) will misappropriate violating edits to last editor changing the item.

That is I added exclamation marks to the label of one item (Q1) as a logged in user in Norwegian (bokmål), which then gets no reaction, and then as an anonymous user adds "foo" as label in the same item but in English. The abuse log will then list the anonymous user as the offending one, and do so for all following edits.

As of Change I649fb2e0: (bug 43775) "Provide text for filtering to
AbuseFilter", tags are not properly attached to recent changes.

From the AbuseLog
15:32, 22 January 2013: 127.0.0.1 (Talk | block) triggered filter 2, performing the action "edit" on API. Actions taken: Tag; Filter description: Urimelig bruk av utropstegn i en artikkel (details | examine)

It still assigns the matches to the "API" and not the correct title.

If the label is "!!" and then "" is added, then the last edit triggers the filter. This is according to the present behavior I think, but it is probably not whats expected.

(In reply to comment #6)

This seems to be fixed.

From the AbuseLog
15:32, 22 January 2013: 127.0.0.1 (Talk | block) triggered filter 2,
performing
the action "edit" on API. Actions taken: Tag; Filter description: Urimelig
bruk
av utropstegn i en artikkel (details | examine)
It still assigns the matches to the "API" and not the correct title.

(In reply to comment #5)

This seems to be fixed.

As of Change I649fb2e0: (bug 43775) "Provide text for filtering to
AbuseFilter", tags are not properly attached to recent changes.

(In reply to comment #4)

This seems to be fixed.

As of Change I649fb2e0: (bug 43775) "Provide text for filtering to
AbuseFilter", the common abuse filter for detecting several exclamation marks
(http://no.wikipedia.org/wiki/Spesial:Misbruksfilter/3) will misappropriate
violating edits to last editor changing the item.
That is I added exclamation marks to the label of one item (Q1) as a logged
in
user in Norwegian (bokmål), which then gets no reaction, and then as an
anonymous user adds "foo" as label in the same item but in English. The abuse
log will then list the anonymous user as the offending one, and do so for all
following edits.

(In reply to comment #3)

This is an misunderstanding, the warning message is not blocking a repeated save action. The message could perhaps explain the situation a little better.

As of Change I649fb2e0: (bug 43775) "Provide text for filtering to
AbuseFilter", warnings are escalated into blocking actions.

Remaining issues seems to be according to the present behavior for ordinary articles, and the bug can be closed as far as my understanding of the problem it describes.

Verified in Wikidata demo sprint 29